﻿using System;
using Microsoft.Health.PatientConnect;
using Microsoft.Health.Web;
using Microsoft.Health.Web.Authentication;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Aggregator.Tests
{
	[TestClass]
	public class HealthVaultPatientConnect
	{
		[TestMethod]
		public void CreateConnect()
		{
			var _connection = new OfflineWebApplicationConnection(new WebApplicationCredential(),
				new Guid("61d0e62f-91b2-463b-a6e9-ac9b74de6151"), //Properties.Settings.Default.MasterAppGUID,
				new Uri("https://platform.healthvault-ppe.co.uk/platform"),
				Guid.Empty);


			_connection.Authenticate();
			string code = PatientConnection.Create(
				_connection, "Carre", "Klausimas", "Atsakymas", new Uri("https://phr.carre-project.eu:442/json/oneway/HealthVaultCallbackRequest"), "ipksanta");
			code += "";
		}
	}
}
