﻿using System;
using System.Collections.Generic;

namespace Aggregator.Aggregation.PublicHealthRepositoryApi
{
    public interface IPublicHealthRepositoryApiClient
    {
        IList<HealthDataDto> GetHealthData(BiometricHealthDataType type, string token, DateTime from);
        IList<HealthDataDto> GetDiagnosisHealthData(string token, DateTime from);
	    IList<HealthDataDto> GetMedicationHealthData(string token, DateTime from); 
	    bool DataMapExists(BiometricHealthDataType type);
	    bool DataMapExists(DiagnosisHealthDataType type);
	    bool DataMapExists(MedicationHealthDataType type);
    }
}