﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Aggregator.Persistence.Entities
{
	/// <summary>
	/// Nusiusti i carre (agreguoti) duomenys. Tokenas, is kur, ir kada paskutini karta buvo agreguota
	/// </summary>
	public class AggregatedDataRecord
	{
		[Key]
		public int Id { get; set; }

		public DateTime Date { get; set; }

		public string CarreToken { get; set; }

		public PublicHealthRepository PublicHealthRepository { get; set; }
	}
}