﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Aggregator.Persistence.Entities
{
	public class RegisteredPublicHealthRepositoryToken
	{
		[Key]
		public int Id { get; set; }

		public string CarreToken { get; set; }

		public string PublicHealthRepositoryToken { get; set; }

		public PublicHealthRepository PublicHealthRepository { get; set; }

		public DateTime RegistrationTime { get; set; }
	}

	public enum PublicHealthRepository
	{
		Vivaport, HealthVault
	}
}