﻿using System;
using System.Collections.Generic;
using System.Linq;
using Aggregator.Persistence.Entities;

namespace Aggregator.Persistence.Repositories
{
	// lol :/
	public class PublicHealthRepositoryTokenRepository : IDisposable
	{
		private readonly AggregatorDbContext _db;

		public PublicHealthRepositoryTokenRepository()
		{
			_db = new AggregatorDbContext();			
		}

		public RegisteredPublicHealthRepositoryToken AddRegisteredPublicHealthRepositoryToken(string carreToken,
			string phrToken,
			PublicHealthRepository phr)
		{
			var newEntry = new RegisteredPublicHealthRepositoryToken
			{
				CarreToken = carreToken,
				PublicHealthRepository = phr,
				RegistrationTime = DateTime.Now,
				PublicHealthRepositoryToken = phrToken
			};

			_db.RegisteredPublicHealthRepositoryTokens.Add(newEntry);
			_db.SaveChanges();

			return newEntry;
		}

	    public IList<RegisteredPublicHealthRepositoryToken> GetTokensByPublicHealthRepository(
	        PublicHealthRepository repository)
	    {
            // Jei nebepatempia tai sorry
	        return _db.RegisteredPublicHealthRepositoryTokens.Where(t => t.PublicHealthRepository == repository && t.CarreToken != null).ToList();
	    }

		public void Dispose()
		{
			_db.Dispose();
		}
	}
}