﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Health;
using Microsoft.Health.ItemTypes;
using Microsoft.Health.PatientConnect;
using Microsoft.Health.Web;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Aggregator.Tests
{
	[TestClass]
	public class HealthVaultRecordAccessTest
	{
		[TestMethod]
		public void AccessData()
		{
			var _connection = new OfflineWebApplicationConnection(//clientID,
				new Guid("61d0e62f-91b2-463b-a6e9-ac9b74de6151"), //Properties.Settings.Default.MasterAppGUID,
				new Uri("https://platform.healthvault-ppe.co.uk/platform"),
				Guid.Empty);
			

			_connection.Authenticate();

			_connection.Credential.CreateAuthenticatedSessionToken(_connection, new Guid("61d0e62f-91b2-463b-a6e9-ac9b74de6151"));

			var validated = PatientConnection.GetValidatedConnections(_connection, DateTime.MinValue);
			var validatedList = validated.ToList();

			var conn2 = new OfflineWebApplicationConnection(//clientID,
				new Guid("61d0e62f-91b2-463b-a6e9-ac9b74de6151"), //Properties.Settings.Default.MasterAppGUID,
				new Uri("https://platform.healthvault-ppe.co.uk/platform"),
				validatedList[0].PersonId);

			conn2.Authenticate();

			var people = conn2.GetAuthorizedPeople();
			var peopleList = people.ToList();

			//peopleList[0].AuthorizedRecords.FirstOrDefault().Value.AssociateAlternateId("123");
			//foreach (var rec in peopleList.FirstOrDefault(p => p.PersonId == validatedList[0].PersonId).GetSelfRecord().)
			//{

			//	var weight = rec.Value.GetItem(Basic.TypeId);
			//	if (weight != null)
			//	{
			//		weight.ToString();
			//	}
			//}

			var asdasd =
				peopleList.FirstOrDefault(p => p.PersonId == validatedList[0].PersonId)
					.GetSelfRecord()
					.GetItemsByType(Height.TypeId);

			asdasd.ToString();

			peopleList.FirstOrDefault(p => p.PersonId == validatedList[0].PersonId).SelectedRecord.NewItem(new Height(2.0));
			//smth.ToString();

			
			
			var xml = peopleList.FirstOrDefault(p => p.PersonId == validatedList[0].PersonId).GetSelfRecord().QueryRecordPermissions(new List<Guid>() { Height.TypeId });
			xml.GetHashCode();
			//weight.Refresh();
			//var veryweight = weight.GetItem(Weight.TypeId);


			//weight.ToString();
			//var recordsId = offWebApp.GetAuthorizedRecords(new List<Guid>() { peopleList[1].AuthorizedRecords.First().Key });

			var record = peopleList[0].GetSelfRecord();
			var records = peopleList[0].AuthorizedRecords.ToList();

			var recsList = records.ToList();
			HealthRecordAccessor hac = new HealthRecordAccessor(_connection, validated[1].RecordId);

			var alternate = hac.GetAlternateIds();

			HealthRecordInfo info = HealthRecordInfo.GetFromAlternateId(_connection,
					   "1");

			//var request = _connection.CreateRequest(hac, "GetThings", 1);
			//request.Execute();

			HealthRecordSearcher searcher = hac.CreateSearcher();

			HealthRecordFilter filter = new HealthRecordFilter(Weight.TypeId);

			searcher.Filters.Add(filter);

			var items = searcher.GetMatchingItems();

			var listed = items.ToList();
		}
	}
}
