﻿namespace Aggregator.Aggregation
{
	/*
	 * Duomenys kurie gali būti išreikšti kaip skaitinė reikšmė.
	 */
    public enum BiometricHealthDataType
    {
		Date, // Dirbtinis tipas. Nera niekur naudojamas vienas, visur eina i uzklausa tik kartu su kitais tipais.
        SystolicBloodPressure,
        DiastolicBloodPressure,
        BodyMassIndex,
		
		HeartRate,
		LeftVentricularMassIndex,
		LeftVentricularWallThickness,
		ApnoeaHypopnoeaIndex,
		HighDensityLipoproteinCholesterol,
		LowDensityLipoproteinCholesterol,
		TotalCholesterol,
		PlasmaBtypeNatriureticPeptide,

		SmokingIntensity,
		AnkleBranchialIndex,
		OldMyocardialInfarction,
		TimeAfterAcuteMyocardialInfarctionEvent,
		HemoglobinLevel,
		TriglyceridesSerumConcentration,
		
		UricAcidSerumConcentration,
		SerumCreatinineLevel,
		SmokingStatus,
		BloodGlucoseFasting,
		Troponin,
		CreatineKinaseMbFraction,
		Ecg,
		EjectionFraction,
		
		/*BloodPressure,*/
    }
}