﻿using System;
using System.Configuration;
using Microsoft.Health.Web;

namespace Aggregator.Aggregation.PublicHealthRepositoryApi.Clients.HealthVault
{
    public static class OfflineWebAppConnectionFactory
    {
        public static OfflineWebApplicationConnection GetConnection(Guid personId)
        {
			var connection = new OfflineWebApplicationConnection(
				new Guid(ConfigurationManager.AppSettings["HealthVaultAppId"]),
				new Uri(ConfigurationManager.AppSettings["HealthVaultPlatform"]),
				personId);

            return connection;
        }
    }
}